MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions

# src/update.h File Reference

`#include <stdbool.h>`

Go to the source code of this file.

## Functions
void | update_global_init (void)
void | update_global_finish (void)
unsigned | isUpdatingDB (void)
unsigned | update_enqueue (const char *path, bool discard)
| Add this path to the database update queue.

## Function Documentation

unsigned isUpdatingDB | ( | void |  | ) |

unsigned update_enqueue | ( | const char * | path,
|  | bool | discard
| ) |  |

Add this path to the database update queue.

Parameters:

  path | a path to update; if NULL or an empty string, the whole music directory is updated

Returns:
  the job id, or 0 on error

void update_global_finish | ( | void |  | ) |

void update_global_init | ( | void |  | ) |